<?php
session_start();
require 'conn.php';

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    function generatePassword()
    {
        return "dtce" . substr(str_shuffle("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789@#$%&"), 0, 6);
    }

    if (isset($_POST['id'])) {
        // Change password for an individual region
        $id = $_POST['id'];
        $new_password = generatePassword();

        $updateQuery = "UPDATE region SET password = ? WHERE id = ?";
        $stmt = $conn->prepare($updateQuery);
        $stmt->execute([$new_password, $id]);

        echo json_encode(["status" => "success", "new_password" => $new_password]);
        exit;
    }

    if (isset($_POST['all'])) {
        // Change passwords for all regions in the session's zone
        $zone = $_SESSION['zone'] ?? '';
        if (empty($zone)) {
            echo json_encode(["status" => "error", "message" => "Zone not set in session"]);
            exit;
        }

        $updateQuery = "UPDATE region SET password = ? WHERE zone = ?";
        $stmt = $conn->prepare($updateQuery);

        foreach ($conn->query("SELECT id FROM region WHERE zone = '$zone'") as $row) {
            $new_password = generatePassword();
            $stmt->execute([$new_password, $zone]);
        }

        echo json_encode(["status" => "success"]);
        exit;
    }
}
?>
