<?php
require 'conn.php'; // Ensure the database connection is correct

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Retrieve data from POST request
    $registration_id = $_POST['registration_id'];
    $invoice_number = $_POST['invoice_number'];
    $name = $_POST['name'];
    $email = $_POST['email'];
    $phone_number = $_POST['phone_number'];
    $password = $_POST['password'];
    $region = $_POST['region'];
    $province = $_POST['province'];
    $p1 = $_POST['p1'];
    $p2 = $_POST['p2'];
    $p3 = $_POST['p3'];
    $amount = $_POST['amount'];
    $date = $_POST['date'];
    $year = $_POST['year'];
    $status = $_POST['status'];

    // SQL statement
    $sql = "INSERT INTO invoice (
        registration_id, invoice_number, name, email, phone_number, password, region, province,
        p1, p2, p3, amount, date, year, status
    ) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

    try {
        $stmt = $conn->prepare($sql);
        $stmt->execute([
            $registration_id, $invoice_number, $name, $email, $phone_number, $password, $region, $province,
            $p1, $p2, $p3, $amount, $date, $year, $status
        ]);
        echo "Invoice saved successfully!";
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }
} else {
    echo "Invalid request method.";
}
?>
