<?php
require 'conn.php';
session_start();

$province = $_SESSION['pro'];

// Get the latest response timestamp for the user's province
$query = "SELECT MAX(updated_at) AS latest_response FROM tickets WHERE province = :province AND response IS NOT NULL";
$stmt = $conn->prepare($query);
$stmt->bindValue(':province', $province, PDO::PARAM_STR);
$stmt->execute();
$result = $stmt->fetch(PDO::FETCH_ASSOC);

$latestResponseTime = $result['latest_response'] ?? null;

if ($latestResponseTime) {
    echo json_encode(["new_response" => true]);
} else {
    echo json_encode(["new_response" => false]);
}
?>
