<?php
require 'conn.php'; // Ensure this file connects to your database

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $phone = trim($_POST['phone']);
    
    $stmt = $conn->prepare("SELECT name, zone, email FROM zone WHERE phone = ?");
    $stmt->execute([$phone]);
    $result = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($result) {
        echo json_encode(["success" => true, "name" => $result['name'], "zone" => $result['zone'], "email" => $result['email']]);
    } else {
        echo json_encode(["success" => false]);
    }
}
?>
