<?php
session_start();
include 'conn.php';

if (isset($_GET['zone'])) {
    $zone = $_GET['zone'];

    // Fetch notifications for the specified province
    $stmt = $conn->prepare("SELECT * FROM zonenotifications WHERE zone = :zone AND is_read = 0 ORDER BY created_at DESC");
    $stmt->bindValue(':zone', $zone);
    $stmt->execute();
    $notifications = $stmt->fetchAll(PDO::FETCH_ASSOC);

    // Return the notifications as JSON
    echo json_encode($notifications);
} else {
    echo json_encode([]);
}
?>
