<?php
// Connect to the database
$conn = new PDO("mysql:host=localhost;dbname=convention", "root", "");

// Check if the form was submitted via POST
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  $provinceId = $_POST['province']; // Get the province ID from POST data
  $newRegion = $_POST['newRegion']; // Get the new region from POST data

  // Prepare SQL to update the region of the selected province
  $stmt = $conn->prepare("UPDATE province SET region = :newRegion WHERE id = :province");
  $stmt->execute([
    'newRegion' => $newRegion, // New region value
    'province' => $provinceId  // Province ID to match in the WHERE clause
  ]);

  // Return success response as JSON
  echo json_encode(['success' => true]);
}
?>
