<!-- /.navbar -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand-lg navbar-light">
            <div class="container-fluid">
                <!-- Navbar Toggler for Mobile -->
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <!-- Left Navbar Links -->
                <a href="#" class="navbar-brand">
                    <img src="./dist/img/dtce.png" alt="Logo" style="height: 40px;">
                </a>

                <?php
                include 'conn.php';
                $zone = $_SESSION['zone']; // Get the province name from the session

                // Fetch the count of unread notifications for this province
                $stmt = $conn->prepare("SELECT COUNT(*) as count FROM zonenotifications WHERE zone = :zone AND is_read = 0");
                $stmt->bindValue(':zone', $zone);
                $stmt->execute();
                $count = $stmt->fetch(PDO::FETCH_ASSOC)['count'];
                ?>

                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" data-widget="pushmenu" href="#" role="button">
                                <i class="fas fa-bars"></i>
                            </a>
                        </li>
                    </ul>

                    <!-- Centered Search Form -->
                    <form class="form-inline mx-auto">
                        <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                        <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">
                            <i class="fas fa-search"></i>
                        </button>
                    </form>

                    <!-- Right Navbar Links -->
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <img src="./dist/img/ng3.webp" alt="Flag" style="width: 35px;">
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="notificationDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-bell">
                                    <span class="badge badge-danger"><?php echo $count; ?></span>
                                </i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="notificationDropdown"
                                id="notificationList">
                              
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="#" id="theme-toggle">
                                <i id="theme-icon" class="fas fa-sun"></i> <!-- Default icon is sun -->
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link d-flex align-items-center dropdown-toggle" data-toggle="dropdown" href="#">
                                <?php
                                // Get the session zone
                                $zone = $_SESSION["zone"];

                                // Ensure it follows the correct format: "Zone X – Region Name"
                                $zone_parts = explode(" ", $zone);

                                // Ensure there are enough parts
                                if (count($zone_parts) >= 4) {
                                    $zone_number = $zone_parts[1]; // Extracts "1" from "Zone 1"

                                    // Handle cases with multiple dashes (e.g., "Zone 3 – South – South Regions")
                                    $region_name = "";
                                    for ($i = 3; $i < count($zone_parts); $i++) {
                                        if ($zone_parts[$i] !== "–") {
                                            $region_name .= substr($zone_parts[$i], 0, 1); // Take first letter of each word
                                        }
                                    }

                                    // Format the result as "ZN X-XX"
                                    $formatted_zone = "ZN $zone_number-$region_name";
                                } else {
                                    $formatted_zone = "ZN -"; // Fallback for incorrect formats
                                }

                                // Display the formatted zone name with profile image
                                echo '<div class="province-initials d-flex align-items-center" 
                                style="background-color:rgb(189, 8, 8); color: white; padding: 8px 12px; border-radius: 50px; display: flex; align-items: center; font-weight: bold; font-size: 16px; min-width: 100px;">
                                    <img src="dist/img/icon.png" alt="Profile" style="width: 35px; height: 35px; border-radius: 50%; margin-right: 8px;">
                                    ' . $formatted_zone . '
                                </div>';
                                ?>


<div style="display: flex; flex-direction: column; color: white;">
                                    <span class="d-none d-md-inline"><?php echo strtoupper($_SESSION["zone"]) ?></span>
                                    <small style="color: white;"><?php echo $_SESSION["zone"] ?></small>
                                </div>

                            </a>
                            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                                <a href="#" class="dropdown-item"><i class="fas fa-user"></i> My Profile</a>
                                <a href="#" class="dropdown-item"><i class="fas fa-cog"></i> Settings</a>
                                <div class="dropdown-divider"></div>
                                <a href="logout.php" class="dropdown-item"><i class="fas fa-sign-out-alt"></i> Logout</a>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </div>

    <!-- Scripts -->


    <!-- /.navbar -->

    <?php
include 'conn.php'; // Ensure this file correctly sets up $conn

// Fetch menu items, ordered by the 'order' field
try {
    $stmt = $conn->query("SELECT * FROM navbars WHERE status = 'active' ORDER BY `order` ASC");
    $menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
    if (!$menuItems) {
        $menuItems = []; // Set to an empty array to prevent null issues
    }
} catch (PDOException $e) {
    die("Database Error: " . $e->getMessage()); // Display error for debugging
}

?>
    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
   
    <!-- Sidebar -->
    <div class="sidebar">
    <div class="user-panel mt-3 pb-3 mb-3 d-flex align-items-center">
            <div class="image">
                <img src="./dist/img/icon.png" alt="User Image">
            </div>
            <div class="info">
                <a href="#" class="company-name" style="color:aliceblue">RCCG DTCE</a>
            </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">

      



<li class="nav-item">
    <a href="dashboard.php" class="nav-link">
        <i class="nav-icon fas fa-chart-pie" style="color: white;"></i>
        <p style="color: white;">Dashboard</p>
    </a>
</li>


<li class="nav-item">
    <a href="quiz_report.php" class="nav-link">
        <i class="nav-icon fas fa-file-alt" style="color: white;"></i>
        <p style="color: white;">Quiz Report</p>
    </a>
</li>

<li class="nav-item">
    <a href="sport_report.php" class="nav-link">
        <i class="nav-icon fas fa-running" style="color: white;"></i>
        <p style="color: white;">Sport Report</p>
    </a>
</li>

<li class="nav-item">
    <a href="choir_report.php" class="nav-link">
        <i class="nav-icon fas fa-microphone" style="color: white;"></i>
        <p style="color: white;">Choir Report</p>
    </a>
</li>

<li class="nav-item">
    <a href="settings.php" class="nav-link">
    <i class="nav-icon fas fa-cog" style="color: white !important;"></i>

        <p style="color: white;">Settings</p>
    </a>
</li>
<div class="accordion" id="provincialMenuAccordion">
    <div class="card" style="background-color: inherit; border: none;">
        <div class="card-header" id="provincialMenuHeading" style="background-color: inherit; border: none;">
            <h5 class="mb-0">
                <button class="btn btn-link text-white" type="button" data-toggle="collapse" data-target="#provincialMenu" aria-expanded="true" aria-controls="provincialMenu" style="text-decoration: none; color: white;">
                    <i class="fas fa-users-cog"></i> Provincial Coord Menus
                </button>
            </h5>
        </div>

        <div id="provincialMenu" class="collapse" aria-labelledby="provincialMenuHeading" data-parent="#provincialMenuAccordion">
            <div class="card-body p-0">
                <ul class="nav nav-pills nav-sidebar flex-column">
                    <?php foreach ($menuItems as $item): ?>
                        <li class="nav-item">
                            <a href="#" class="nav-link" style="pointer-events: none; opacity: 0.5; cursor: default;">
                                <i class="nav-icon fas <?php echo htmlspecialchars($item['icon']); ?>" style="color: white;"></i>
                                <p style="color: white;"><?php echo htmlspecialchars($item['name']); ?></p>
                            </a>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </div>
        </div>
    </div>
</div>

<script>
function showMessage() {
    alert("This menu is for Provincial Coordinators only.");
}
</script>





</ul>

    
</aside>

