<?php
include('conn.php');
header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['zone']) && isset($_POST['region'])) {
        $zone = $_POST['zone'];
        $region = $_POST['region'];
        
        // Update the province records with the selected zone
        $stmt = $conn->prepare("UPDATE province SET zone = :zone WHERE region = :region");
        $stmt->execute(['zone' => $zone, 'region' => $region]);
        
        // Retrieve updated records to display province and password
        $stmt2 = $conn->prepare("SELECT province, password FROM province WHERE region = :region");
        $stmt2->execute(['region' => $region]);
        $updated = $stmt2->fetchAll(PDO::FETCH_ASSOC);
        
        echo json_encode(['success' => true, 'updated' => $updated]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Zone and region are required.']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid request method.']);
}
?>
